HostKey ${APP_SSH_HOSTKEY_DIR}/ssh_host_rsa_key
HostKey ${APP_SSH_HOSTKEY_DIR}/ssh_host_ecdsa_key
HostKey ${APP_SSH_HOSTKEY_DIR}/ssh_host_ed25519_key

PermitRootLogin no
PermitEmptyPasswords no

AuthorizedKeysFile ${APP_USERS_KEYS_DIR}/%u/authorized_keys
StrictModes no

AllowTcpForwarding no
GatewayPorts no
X11Forwarding no

Subsystem sftp internal-sftp -u ${APP_SSH_UMASK}
ForceCommand internal-sftp -P setstat,fsetstat -u ${APP_SSH_UMASK}
ChrootDirectory %h

PubkeyAcceptedAlgorithms +ssh-rsa
